# HasAttributes

interface HasAttributes

Represents something that carries attributes by utilizing an AttributeContainer

#### Since

3.3

#### Inheritors

AttributeContainer
HasConfigurableAttributes
ArtifactView
ComponentMetadata
ArtifactTypeDefinition
SoftwareComponentVariant

## Functions

getAttributes
Link copied to clipboard
abstract fun getAttributes(): AttributeContainer
Returns the attributes